#include <locale.h>
#include <stdio.h>
#include <stdlib.h>

#include "internals.h"

void init()
{
	if (setlocale(LC_ALL, "sr_RS.utf8") == NULL)
	{
		fprintf(stderr, "lokal se nije mogao podesiti na\
\"sr_RS.utf8\", proverite da li ste ga osposobili na vasem sistemu\n");
		exit(0);
	}
/* Омогућава библиотекама коришћеним у интерпретеру да протумаче српску
 * ћирилицу */

	globalEnv = createEnvironment(NULL);
	addSymbolInternal("+", &addInt, 0);
	addSymbolInternal("-", &subtractInt, 0);
	addSymbolInternal("*", &multiplyInt, 0);
	addSymbolInternal("/", &divideInt, 0);
	addSymbolInternal("навод", &quoteInt, 1);
	addSymbolInternal("дефиниши", &defineInt, 1);
	addSymbolInternal("тачно->нетачно", &exactToInexactInt, 0);
	addSymbolInternal("нетачно->тачно", &inexactToExactInt, 0);
	addSymbolInternal("ламбда", &lambdaInt, 1);
	addSymbolInternal("<", &lessInt, 0);
	addSymbolInternal(">", &greaterInt, 0);
	addSymbolInternal("ако", &ifInt, 1);
}
